From: =?utf-8?q?David_Pr=C3=A9vot?= <taffit@debian.org>
Date: Sat, 4 May 2019 13:53:58 -1000
Subject: Use expectException instead of setExpectedException

---
 tests/Composer/Test/Command/InitCommandTest.php           |  4 ++--
 tests/Composer/Test/ConfigTest.php                        |  2 +-
 tests/Composer/Test/DependencyResolver/SolverTest.php     |  6 +++---
 tests/Composer/Test/Downloader/DownloadManagerTest.php    | 12 ++++++------
 .../Composer/Test/EventDispatcher/EventDispatcherTest.php |  2 +-
 tests/Composer/Test/Installer/InstallationManagerTest.php |  2 +-
 tests/Composer/Test/Installer/LibraryInstallerTest.php    |  4 ++--
 .../Composer/Test/Installer/MetapackageInstallerTest.php  |  4 ++--
 tests/Composer/Test/InstallerTest.php                     |  2 +-
 .../Composer/Test/Package/Archiver/ArchiveManagerTest.php |  2 +-
 tests/Composer/Test/Package/LockerTest.php                |  4 ++--
 tests/Composer/Test/Repository/RepositoryManagerTest.php  |  2 +-
 .../Test/Repository/Vcs/GitBitbucketDriverTest.php        |  2 +-
 tests/Composer/Test/Util/ErrorHandlerTest.php             | 15 ++++++++++-----
 tests/Composer/Test/Util/FilesystemTest.php               |  2 +-
 tests/Composer/Test/Util/SilencerTest.php                 |  2 +-
 16 files changed, 36 insertions(+), 31 deletions(-)

diff --git a/tests/Composer/Test/Command/InitCommandTest.php b/tests/Composer/Test/Command/InitCommandTest.php
index 06d8a00..e6c7fbc 100644
--- a/tests/Composer/Test/Command/InitCommandTest.php
+++ b/tests/Composer/Test/Command/InitCommandTest.php
@@ -82,14 +82,14 @@ public function testParseValidAlias2AuthorString()
     public function testParseEmptyAuthorString()
     {
         $command = new InitCommand;
-        $this->setExpectedException('InvalidArgumentException');
+        $this->expectException('InvalidArgumentException');
         $command->parseAuthorString('');
     }
 
     public function testParseAuthorStringWithInvalidEmail()
     {
         $command = new InitCommand;
-        $this->setExpectedException('InvalidArgumentException');
+        $this->expectException('InvalidArgumentException');
         $command->parseAuthorString('John Smith <john>');
     }
 }
diff --git a/tests/Composer/Test/ConfigTest.php b/tests/Composer/Test/ConfigTest.php
index 57c3689..77c4c72 100644
--- a/tests/Composer/Test/ConfigTest.php
+++ b/tests/Composer/Test/ConfigTest.php
@@ -238,7 +238,7 @@ public function testAllowedUrlsPass($url)
      */
     public function testProhibitedUrlsThrowException($url)
     {
-        $this->setExpectedException(
+        $this->expectException(
             'Composer\Downloader\TransportException',
             'Your configuration does not allow connections to ' . $url
         );
diff --git a/tests/Composer/Test/DependencyResolver/SolverTest.php b/tests/Composer/Test/DependencyResolver/SolverTest.php
index 4dadee7..19f4d01 100644
--- a/tests/Composer/Test/DependencyResolver/SolverTest.php
+++ b/tests/Composer/Test/DependencyResolver/SolverTest.php
@@ -445,7 +445,7 @@ public function testInstallProvider()
         $this->request->install('A');
 
         // must explicitly pick the provider, so error in this case
-        $this->setExpectedException('Composer\DependencyResolver\SolverProblemsException');
+        $this->expectException('Composer\DependencyResolver\SolverProblemsException');
         $this->solver->solve($this->request);
     }
 
@@ -478,7 +478,7 @@ public function testNoInstallReplacerOfMissingPackage()
 
         $this->request->install('A');
 
-        $this->setExpectedException('Composer\DependencyResolver\SolverProblemsException');
+        $this->expectException('Composer\DependencyResolver\SolverProblemsException');
         $this->solver->solve($this->request);
     }
 
@@ -649,7 +649,7 @@ public function testIssue265()
 
         $this->request->install('C', $this->getVersionConstraint('==', '2.0.0.0-dev'));
 
-        $this->setExpectedException('Composer\DependencyResolver\SolverProblemsException');
+        $this->expectException('Composer\DependencyResolver\SolverProblemsException');
 
         $this->solver->solve($this->request);
     }
diff --git a/tests/Composer/Test/Downloader/DownloadManagerTest.php b/tests/Composer/Test/Downloader/DownloadManagerTest.php
index 222e541..1cde3b1 100644
--- a/tests/Composer/Test/Downloader/DownloadManagerTest.php
+++ b/tests/Composer/Test/Downloader/DownloadManagerTest.php
@@ -34,7 +34,7 @@ public function testSetGetDownloader()
         $manager->setDownloader('test', $downloader);
         $this->assertSame($downloader, $manager->getDownloader('test'));
 
-        $this->setExpectedException('InvalidArgumentException');
+        $this->expectException('InvalidArgumentException');
         $manager->getDownloader('unregistered');
     }
 
@@ -48,7 +48,7 @@ public function testGetDownloaderForIncorrectlyInstalledPackage()
 
         $manager = new DownloadManager($this->io, false, $this->filesystem);
 
-        $this->setExpectedException('InvalidArgumentException');
+        $this->expectException('InvalidArgumentException');
 
         $manager->getDownloaderForInstalledPackage($package);
     }
@@ -114,7 +114,7 @@ public function testGetDownloaderForIncorrectlyInstalledDistPackage()
             ->with('git')
             ->will($this->returnValue($downloader));
 
-        $this->setExpectedException('LogicException');
+        $this->expectException('LogicException');
 
         $manager->getDownloaderForInstalledPackage($package);
     }
@@ -180,7 +180,7 @@ public function testGetDownloaderForIncorrectlyInstalledSourcePackage()
             ->with('pear')
             ->will($this->returnValue($downloader));
 
-        $this->setExpectedException('LogicException');
+        $this->expectException('LogicException');
 
         $manager->getDownloaderForInstalledPackage($package);
     }
@@ -304,7 +304,7 @@ public function testBadPackageDownload()
 
         $manager = new DownloadManager($this->io, false, $this->filesystem);
 
-        $this->setExpectedException('InvalidArgumentException');
+        $this->expectException('InvalidArgumentException');
         $manager->download($package, 'target_dir');
     }
 
@@ -536,7 +536,7 @@ public function testBadPackageDownloadWithSourcePreferred()
         $manager = new DownloadManager($this->io, false, $this->filesystem);
         $manager->setPreferSource(true);
 
-        $this->setExpectedException('InvalidArgumentException');
+        $this->expectException('InvalidArgumentException');
         $manager->download($package, 'target_dir');
     }
 
diff --git a/tests/Composer/Test/EventDispatcher/EventDispatcherTest.php b/tests/Composer/Test/EventDispatcher/EventDispatcherTest.php
index 5e68ebc..d9d17a9 100644
--- a/tests/Composer/Test/EventDispatcher/EventDispatcherTest.php
+++ b/tests/Composer/Test/EventDispatcher/EventDispatcherTest.php
@@ -430,7 +430,7 @@ public function testDispatcherOutputsErrorOnFailedCommand()
             ->method('writeError')
             ->with($this->equalTo('<error>Script '.$code.' handling the post-install-cmd event returned with error code 1</error>'));
 
-        $this->setExpectedException('RuntimeException');
+        $this->expectException('RuntimeException');
         $dispatcher->dispatchScript(ScriptEvents::POST_INSTALL_CMD, false);
     }
 
diff --git a/tests/Composer/Test/Installer/InstallationManagerTest.php b/tests/Composer/Test/Installer/InstallationManagerTest.php
index 86e860b..d97acb8 100644
--- a/tests/Composer/Test/Installer/InstallationManagerTest.php
+++ b/tests/Composer/Test/Installer/InstallationManagerTest.php
@@ -43,7 +43,7 @@ public function testAddGetInstaller()
         $manager->addInstaller($installer);
         $this->assertSame($installer, $manager->getInstaller('vendor'));
 
-        $this->setExpectedException('InvalidArgumentException');
+        $this->expectException('InvalidArgumentException');
         $manager->getInstaller('unregistered');
     }
 
diff --git a/tests/Composer/Test/Installer/LibraryInstallerTest.php b/tests/Composer/Test/Installer/LibraryInstallerTest.php
index 772bb05..9e5e988 100644
--- a/tests/Composer/Test/Installer/LibraryInstallerTest.php
+++ b/tests/Composer/Test/Installer/LibraryInstallerTest.php
@@ -187,7 +187,7 @@ public function testUpdate()
         $this->assertFileExists($this->vendorDir, 'Vendor dir should be created');
         $this->assertFileExists($this->binDir, 'Bin dir should be created');
 
-        $this->setExpectedException('InvalidArgumentException');
+        $this->expectException('InvalidArgumentException');
 
         $library->update($this->repository, $initial, $target);
     }
@@ -220,7 +220,7 @@ public function testUninstall()
 
         $library->uninstall($this->repository, $package);
 
-        $this->setExpectedException('InvalidArgumentException');
+        $this->expectException('InvalidArgumentException');
 
         $library->uninstall($this->repository, $package);
     }
diff --git a/tests/Composer/Test/Installer/MetapackageInstallerTest.php b/tests/Composer/Test/Installer/MetapackageInstallerTest.php
index 1717735..4443c0d 100644
--- a/tests/Composer/Test/Installer/MetapackageInstallerTest.php
+++ b/tests/Composer/Test/Installer/MetapackageInstallerTest.php
@@ -71,7 +71,7 @@ public function testUpdate()
 
         $this->installer->update($this->repository, $initial, $target);
 
-        $this->setExpectedException('InvalidArgumentException');
+        $this->expectException('InvalidArgumentException');
 
         $this->installer->update($this->repository, $initial, $target);
     }
@@ -93,7 +93,7 @@ public function testUninstall()
 
         $this->installer->uninstall($this->repository, $package);
 
-        $this->setExpectedException('InvalidArgumentException');
+        $this->expectException('InvalidArgumentException');
 
         $this->installer->uninstall($this->repository, $package);
     }
diff --git a/tests/Composer/Test/InstallerTest.php b/tests/Composer/Test/InstallerTest.php
index c3b957a..2b100e8 100644
--- a/tests/Composer/Test/InstallerTest.php
+++ b/tests/Composer/Test/InstallerTest.php
@@ -162,7 +162,7 @@ public function testIntegration($file, $message, $condition, $composerConfig, $l
         // Prepare for exceptions
         if (!is_int($expectResult)) {
             $normalizedOutput = rtrim(str_replace("\n", PHP_EOL, $expect));
-            $this->setExpectedException($expectResult, $normalizedOutput);
+            $this->expectException($expectResult, $normalizedOutput);
         }
 
         // Create Composer mock object according to configuration
diff --git a/tests/Composer/Test/Package/Archiver/ArchiveManagerTest.php b/tests/Composer/Test/Package/Archiver/ArchiveManagerTest.php
index f9fe308..63150eb 100644
--- a/tests/Composer/Test/Package/Archiver/ArchiveManagerTest.php
+++ b/tests/Composer/Test/Package/Archiver/ArchiveManagerTest.php
@@ -36,7 +36,7 @@ public function setUp()
 
     public function testUnknownFormat()
     {
-        $this->setExpectedException('RuntimeException');
+        $this->expectException('RuntimeException');
 
         $package = $this->setupPackage();
 
diff --git a/tests/Composer/Test/Package/LockerTest.php b/tests/Composer/Test/Package/LockerTest.php
index c20c214..9901531 100644
--- a/tests/Composer/Test/Package/LockerTest.php
+++ b/tests/Composer/Test/Package/LockerTest.php
@@ -54,7 +54,7 @@ public function testGetNotLockedPackages()
             ->method('exists')
             ->will($this->returnValue(false));
 
-        $this->setExpectedException('LogicException');
+        $this->expectException('LogicException');
 
         $locker->getLockedRepository();
     }
@@ -173,7 +173,7 @@ public function testLockBadPackages()
             ->method('getPrettyName')
             ->will($this->returnValue('pkg1'));
 
-        $this->setExpectedException('LogicException');
+        $this->expectException('LogicException');
 
         $locker->setLockData(array($package1), array(), array(), array(), array(), 'dev', array(), false, false, array());
     }
diff --git a/tests/Composer/Test/Repository/RepositoryManagerTest.php b/tests/Composer/Test/Repository/RepositoryManagerTest.php
index 3774dd2..9525f09 100644
--- a/tests/Composer/Test/Repository/RepositoryManagerTest.php
+++ b/tests/Composer/Test/Repository/RepositoryManagerTest.php
@@ -55,7 +55,7 @@ public function testPrepend()
     public function testRepoCreation($type, $options, $exception = null)
     {
         if ($exception) {
-            $this->setExpectedException($exception);
+            $this->expectException($exception);
         }
 
         $rm = new RepositoryManager(
diff --git a/tests/Composer/Test/Repository/Vcs/GitBitbucketDriverTest.php b/tests/Composer/Test/Repository/Vcs/GitBitbucketDriverTest.php
index 8d711e8..15cdf39 100644
--- a/tests/Composer/Test/Repository/Vcs/GitBitbucketDriverTest.php
+++ b/tests/Composer/Test/Repository/Vcs/GitBitbucketDriverTest.php
@@ -78,7 +78,7 @@ private function getDriver(array $repoConfig)
 
     public function testGetRootIdentifierWrongScmType()
     {
-        $this->setExpectedException(
+        $this->expectException(
             '\RuntimeException',
             'https://bitbucket.org/user/repo.git does not appear to be a git repository, use https://bitbucket.org/user/repo if this is a mercurial bitbucket repository'
         );
diff --git a/tests/Composer/Test/Util/ErrorHandlerTest.php b/tests/Composer/Test/Util/ErrorHandlerTest.php
index 52de96a..4c6eb6d 100644
--- a/tests/Composer/Test/Util/ErrorHandlerTest.php
+++ b/tests/Composer/Test/Util/ErrorHandlerTest.php
@@ -25,10 +25,13 @@ class ErrorHandlerTest extends TestCase
      */
     public function testErrorHandlerCaptureNotice()
     {
-        $this->setExpectedException('\ErrorException', 'Undefined index: baz');
+        if (PHP_VERSION_ID >= 80000) {
+            $this->expectException('\ErrorException', 'Undefined array key "baz"');
+        } else {
+            $this->expectException('\ErrorException', 'Undefined index: baz');
+        }
 
         ErrorHandler::register();
-
         $array = array('foo' => 'bar');
         $array['baz'];
     }
@@ -38,10 +41,12 @@ public function testErrorHandlerCaptureNotice()
      */
     public function testErrorHandlerCaptureWarning()
     {
-        $this->setExpectedException('\ErrorException', 'array_merge');
-
+        if (PHP_VERSION_ID >= 80000) {
+            $this->expectException('TypeError', 'array_merge');
+        } else {
+            $this->expectException('ErrorException', 'array_merge');
+        }
         ErrorHandler::register();
-
         array_merge(array(), 'string');
     }
 
diff --git a/tests/Composer/Test/Util/FilesystemTest.php b/tests/Composer/Test/Util/FilesystemTest.php
index 9f684db..d5670ae 100644
--- a/tests/Composer/Test/Util/FilesystemTest.php
+++ b/tests/Composer/Test/Util/FilesystemTest.php
@@ -292,7 +292,7 @@ public function testJunctions()
         if (!defined('PHP_WINDOWS_VERSION_BUILD')) {
             $this->assertFalse($fs->isJunction($this->workingDir));
             $this->assertFalse($fs->removeJunction($this->workingDir));
-            $this->setExpectedException('LogicException', 'not available on non-Windows platform');
+            $this->expectException('LogicException', 'not available on non-Windows platform');
         }
 
         $target = $this->workingDir . '/real/../real/nesting';
diff --git a/tests/Composer/Test/Util/SilencerTest.php b/tests/Composer/Test/Util/SilencerTest.php
index af1d591..d3a54b3 100644
--- a/tests/Composer/Test/Util/SilencerTest.php
+++ b/tests/Composer/Test/Util/SilencerTest.php
@@ -52,7 +52,7 @@ public function testSilencer()
     public function testSilencedException()
     {
         $verification = microtime();
-        $this->setExpectedException('\RuntimeException', $verification);
+        $this->expectException('\RuntimeException', $verification);
         Silencer::call(function () use ($verification) {
             throw new \RuntimeException($verification);
         });
